#1102 1.0.14 Not Backwards Compatible

1.0.x
closed-wont-fix
5
2013-07-05
2012-12-11
Greg Janik
No

When XYAnnotation was specified to inherit from Annotation, it introduced errors in existing classes that implement XYAnnotation. Although they can be easily fixed by adding stub implementations of the Annotation methods, rebuilds of the project is required. So 1.0.14.jar can't be used in place of 1.0.13.jar.

Discussion

  • David Gilbert

    David Gilbert - 2013-07-05

    Thanks for reporting this. I've documented the incompatibility, since the change won't be reverted.

     
  • David Gilbert

    David Gilbert - 2013-07-05
    • status: open --> closed-wont-fix
    • assigned_to: David Gilbert
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks